import 'dart:convert';
import 'dart:async';

import 'package:flutter/material.dart';
import 'package:movie_app/config.dart';
import 'package:http/http.dart' as http;

class detailMovie extends StatefulWidget {
  String id;

  detailMovie(this.id);

  @override
  _detailMovieState createState() => _detailMovieState();
}

class _detailMovieState extends State<detailMovie> {
  @override
  Widget build(BuildContext context) {
    final arguments = ModalRoute.of(context)!.settings.arguments as String;

    var _populars;
    void getPopularData(String apiKey, String arguments) async {
      var response = await http.get(Uri.parse(
          "https://api.themoviedb.org/3/movie/" +
              arguments +
              "?api_key=" +
              apiKey +
              "&language=en-US"));
      var jsonObject = jsonDecode(response.body);

      setState(() {
        _populars = jsonObject;
      });
    }

    @override
    void initState() {
      // TODO: implement initState
      super.initState();
      getPopularData(apiKey, arguments);
    }

    print(_populars);
    return Scaffold(
      backgroundColor: backgroundColor,
      body: Stack(
        children: [
          ListView(
            children: [
              Container(
                margin: EdgeInsets.fromLTRB(20, 20, 20, 10),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    GestureDetector(
                      onTap: () {
                        Navigator.pop(
                          context,
                        );
                      },
                      child: Icon(
                        Icons.arrow_back_ios_new,
                        color: textColor,
                      ),
                    ),
                    Text(
                      "Detail Movies",
                      style: TextStyle(
                          color: textColor,
                          fontSize: 20,
                          fontWeight: FontWeight.w800),
                    ),
                    Icon(
                      Icons.bookmark_border_outlined,
                      color: textColor,
                    ),
                  ],
                ),
              ),
              Center(
                child: Container(
                  height: 500,
                  width: 300,
                  decoration:
                      BoxDecoration(borderRadius: BorderRadius.circular(40)),
                  margin: EdgeInsets.fromLTRB(30, 30, 30, 10),
                  child: Material(
                    elevation: 10,
                    borderRadius: BorderRadius.circular(40),
                    color: Colors.transparent,
                    child: ClipRRect(
                      borderRadius: BorderRadius.circular(40),
                      child: Image(
                        image: NetworkImage(
                            "https://cdn.dribbble.com/users/6881751/screenshots/15130805/media/abdbb24b44fe7217de410073d279dc25.png"),
                        fit: BoxFit.cover,
                        height: 500,
                        width: 300,
                      ),
                    ),
                  ),
                ),
              ),
              Column(
                children: [
                  Container(
                    margin: EdgeInsets.only(top: 10),
                    width: 300,
                    child: Text(
                      _populars != null ? _populars['title'] : '',
                      textAlign: TextAlign.start,
                      style: TextStyle(
                          fontSize: 25,
                          fontWeight: FontWeight.w700,
                          color: textColor),
                    ),
                  ),
                  Container(
                    margin: EdgeInsets.fromLTRB(50, 30, 30, 10),
                    child: Row(
                      children: [
                        Text(
                          'Director: Dio Maulana | ',
                          style: TextStyle(
                              fontSize: 15,
                              color: textColor,
                              fontWeight: FontWeight.w400),
                        ),
                        Text(
                          '4.8 ',
                          style: TextStyle(
                              fontSize: 15,
                              color: textColor,
                              fontWeight: FontWeight.w400),
                        ),
                        Icon(
                          Icons.star,
                          color: Colors.yellow,
                        )
                      ],
                    ),
                  ),
                  Container(
                    margin: EdgeInsets.fromLTRB(50, 0, 30, 10),
                    child: Row(
                      children: [
                        RaisedButton(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(25)),
                          color: Color(0xFF05104f),
                          child: Text(
                            "Crime",
                            style: TextStyle(color: textColor),
                          ),
                          onPressed: () {},
                        ),
                        SizedBox(
                          width: 10,
                        ),
                        RaisedButton(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(25)),
                          color: Color(0xFF05104f),
                          child: Text(
                            "Thriler",
                            style: TextStyle(color: textColor),
                          ),
                          onPressed: () {},
                        ),
                      ],
                    ),
                  ),
                  Container(
                    margin: EdgeInsets.only(top: 10),
                    width: 300,
                    child: Text(
                      "Synopsis",
                      textAlign: TextAlign.start,
                      style: TextStyle(
                          fontSize: 20,
                          fontWeight: FontWeight.w500,
                          color: textColor),
                    ),
                  ),
                  Container(
                      margin: EdgeInsets.fromLTRB(50, 30, 30, 10),
                      child: Text(
                        "ini isi sssssssssssssssssssssa aslaskasa kasmdasldka sdasdkjasd asdkasa sdapsdasd as dapsdjasd asdasld asd[",
                        textAlign: TextAlign.start,
                        style: TextStyle(
                            color: textColor,
                            fontSize: 15,
                            fontWeight: FontWeight.w300),
                      ))
                ],
              )
            ],
          )
        ],
      ),
    );
  }
}
